Loading...
Searching...
No Matches
irheostream

## Detailed Description

Definition at line 179 of file rheostream.h.

Inheritance diagram for irheostream:

## Public Member Functions

| irheostream ()
| irheostream (const std::string &name, const std::string &suffix=std::string())
virtual | ~irheostream ()
void | open (const std::string &name, const std::string &suffix=std::string())
void | close ()

## Protected Attributes

std::ifstream | _ifs

## Constructor & Destructor Documentation

## irheostream() [1/2]

irheostream | ( |  | ) |

Definition at line 181 of file rheostream.h.

## irheostream() [2/2]

irheostream | ( | const std::string & | name,
|  | const std::string & | suffix = `std::string()`
| ) |  |

Definition at line 200 of file rheostream.cc.

## ~irheostream()

~irheostream | ( |  | ) |

virtual

Definition at line 205 of file rheostream.cc.

## Member Function Documentation

## open()

void open | ( | const std::string & | name,
|  | const std::string & | suffix = `std::string()`
| ) |  |

Definition at line 162 of file rheostream.cc.

## close()

void close | ( |  | ) |

Definition at line 192 of file rheostream.cc.

## Member Data Documentation

## _ifs

std::ifstream _ifs

protected

Definition at line 188 of file rheostream.h.

The documentation for this class was generated from the following files:

- /build/rheolef-Hrneba/rheolef-7.2/util/lib/rheostream.h
- /build/rheolef-Hrneba/rheolef-7.2/util/lib/rheostream.cc